# RPM specfile for the KeepAlive package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)KeepAlive.spec	1.6.1.1 11/20/19 21:19:41
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name KeepAlive
%define version 1.6
%define release 1.1

Summary: Prevent a logout due to inactivity
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/KeepAlive-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

License: GPL

Packager: %{packager}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

Group: Applications/System
BuildRoot: %{_builddir}/%{name}-root
Requires: coreutils
BuildRequires: make sed gcc autoconf

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
KeepAlive detects when there has not been any recent input/output to a terminal and
sends something to prevent a logout. This is most useful when some firewall/... drops
the TCP Keepalive packets.


%prep
%setup -q

%build
autoconf
%configure
make

%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/KeepAlive
%doc README Contributors License Hacks
%{_mandir}/man*/KeepAlive.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Wed Jun 17 2015 Alain Williams <addw@phcomp.co.uk>
- Tiny tweaks to stop C compier warnings.
* Sat Mar 15 2014 Alain Williams <addw@phcomp.co.uk>
- Add long options and initilisation files
* Fri Jul 06 2012 Alain Williams <addw@phcomp.co.uk>
- New options: -I -T -M, minor tweaks to error messages
* Wed Jul 07 2010 Alain Williams <addw@phcomp.co.uk>
- Add -N option: combination of commonly used options
* Tue Dec 30 2008 Alain Williams <addw@phcomp.co.uk>
- First time as an RPM
